#ifndef _QDCONTEXT_
#define _QDCONTEXT_

#include <QuickDraw.h>


typedef class QDContext
{
public:
	GrafPtr		fSavePort;
	Point		fPenSize;
	short		fPenMode;
	Pattern		fPenPat;
	short		fTextFont;
	Style		fTextFace;
	short		fTextMode;
	short		fTextSize;
	RGBColor	fForeColor;
	RGBColor	fBackColor;
	
	QDContext(void);
	QDContext(GrafPtr port);
	~QDContext(void);
} QDContext;


typedef class QDClipContext
{
public:
	GrafPtr		fSavePort;
	RgnHandle	fSaveClip;
	
	QDClipContext(GrafPtr port,RgnHandle clip);
	~QDClipContext(void);
} QDClipContext;


#endif /* _QDCONTEXT_ */
